#pragma once
#include "global.h"
#include <afxcmn.h>
class CCalendarBK : public CDialog
{
	DECLARE_DYNAMIC(CCalendarBK)
	DECLARE_MESSAGE_MAP()
public:
	CCalendarBK(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CCalendarBK();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMAINEDITOR_BK };
#endif
	void* pMainEditor = nullptr;
	CString outFileName;
	CString outAlpha;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
	//控件
	CEdit edit_dir;
	CSliderCtrl slider_alpha;
	CStatic* label_alpha_value = nullptr;
public:
	afx_msg void OnNMCustomdrawSliderAlpha(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBnClickedDir();
	afx_msg void OnBnClickedOk();
};

